<?php

class util_html_button
{

    public static function button($label, $js, $params = []) {
        // Codifica los parámetros en formato JSON para que JavaScript los interprete correctamente
        $encodedParams = json_encode($params);
        return "
            <div>
                <div class='form-group filter-group'>
                    <button class='btn btn-sm btn-primary btn-create' type='button' onclick='{$js}({$encodedParams})'>
                        {$label}
                    </button>
                </div>
            </div>
        ";
    }    

}
?>